// Machine generated IDispatch wrapper class(es) created with ClassWizard

#include "stdafx.h"
#include "makepdf417.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif



/////////////////////////////////////////////////////////////////////////////
// IBarCodePDF417 properties

/////////////////////////////////////////////////////////////////////////////
// IBarCodePDF417 operations

void IBarCodePDF417::MakeBinary(const VARIANT& varData, LPCTSTR strBmpFileName, long nClumn, long nErr, long nHLRatio, long nHeight)
{
	static BYTE parms[] =
		VTS_VARIANT VTS_BSTR VTS_I4 VTS_I4 VTS_I4 VTS_I4;
	InvokeHelper(0x1, DISPATCH_METHOD, VT_EMPTY, NULL, parms,
		 &varData, strBmpFileName, nClumn, nErr, nHLRatio, nHeight);
}

void IBarCodePDF417::MakeString(LPCTSTR strInfo, LPCTSTR strBmpFileName, long nClumn, long nErr, long nHLRatio, long nHeight)
{
	static BYTE parms[] =
		VTS_BSTR VTS_BSTR VTS_I4 VTS_I4 VTS_I4 VTS_I4;
	InvokeHelper(0x2, DISPATCH_METHOD, VT_EMPTY, NULL, parms,
		 strInfo, strBmpFileName, nClumn, nErr, nHLRatio, nHeight);
}

long IBarCodePDF417::SetColorDepth(long lDepth)
{
	long result;
	static BYTE parms[] =
		VTS_I4;
	InvokeHelper(0x3, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		lDepth);
	return result;
}

long IBarCodePDF417::GetColorDepth()
{
	long result;
	InvokeHelper(0x4, DISPATCH_METHOD, VT_I4, (void*)&result, NULL);
	return result;
}

long IBarCodePDF417::MixText(LPCTSTR strSrcFileName, LPCTSTR strDstFileName, LPCTSTR strText, long lFontSize, long lTxtHeight, long lHmargin, long lVmargin, long lTxtCntOneLine)
{
	long result;
	static BYTE parms[] =
		VTS_BSTR VTS_BSTR VTS_BSTR VTS_I4 VTS_I4 VTS_I4 VTS_I4 VTS_I4;
	InvokeHelper(0x5, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		strSrcFileName, strDstFileName, strText, lFontSize, lTxtHeight, lHmargin, lVmargin, lTxtCntOneLine);
	return result;
}
